# $Id: perl-Text-MultiMarkdown.spec 8678 2010-03-10 15:20:55Z shuff $
# Authority: shuff
# Upstream: Thomas Doran <bobtfish$bobtfish,net>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Text-MultiMarkdown

Summary: Convert MultiMarkdown syntax to (X)HTML
Name: perl-%{real_name}
Version: 1.000032
Release: 1%{?dist}
License: BSD
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Text-MultiMarkdown/

Packager: Steve Huff <shuff@vecna.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/Text-MultiMarkdown-%{version}.tar.gz
Patch0: %{name}_Makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: perl >= 5.8.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.42
BuildRequires: rpm-macros-rpmforge
Requires: perl >= 5.8.0
Requires: perl(Digest::MD5)
Requires: perl(Encode)
Requires: perl(FindBin)
Requires: perl(List::MoreUtils)
Requires: perl(Text::Balanced)
Requires: perl(Text::Markdown) >= 1.0.26

# we are a Markdown compiler
Provides: Markdown
Provides: MultiMarkdown
Provides: %{_bindir}/MultiMarkdown.pl

### remove autoreq Perl dependencies
%filter_from_requires /^perl.*/d
%filter_setup

%description
Markdown is a text-to-HTML filter; it translates an easy-to-read /
easy-to-write structured text format into HTML. Markdown's text format is most
similar to that of plain text email, and supports features such as headers,
*emphasis*, code blocks, blockquotes, and links.

Markdown's syntax is designed not as a generic markup language, but
specifically to serve as a front-end to (X)HTML. You can use span-level HTML
tags anywhere in a Markdown document, and you can use block level HTML tags
(like <div> and <table> as well).

This module implements the MultiMarkdown markdown syntax extensions from:

    http://fletcherpenney.net/multimarkdown/

%prep
%setup -n %{real_name}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

%{__install} -m0755 -d %{buildroot}%{_bindir}
%{__install} -m0755 script/MultiMarkdown.pl %{buildroot}%{_bindir}

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes License.text MANIFEST README Readme.text Todo
%doc %{_mandir}/man?/*
%dir %{perl_vendorlib}/Text/
%{perl_vendorlib}/Text/*
%{_bindir}/*

%changelog
* Wed Mar 10 2010 Steve Huff <shuff@vecna.org> - 1.000032-1 - 8678/shuff
- Initial package.
